org.apache.commons.math3.optimization

## Class PointValuePair

- java.lang.Object
- - org.apache.commons.math3.util.Pair<double[],Double>
  - - org.apache.commons.math3.optimization.PointValuePair

All Implemented Interfaces:
  Serializable

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public class PointValuePair
    extends Pair<double[],Double>
    implements Serializable

This class holds a point and the value of an objective function at that point.

Since:
  3.0
Version:
  $Id: PointValuePair.java 1422230 2012-12-15 12:11:13Z erans $
See Also:
  `PointVectorValuePair`, `MultivariateFunction`, Serialized Form

### Nested Class Summary

Nested Classes
`private static class` `PointValuePair.DataTransferObject` Deprecated. Internal class used only for serialization.

### Field Summary

Fields
`private static long` `serialVersionUID` Deprecated. Serializable UID.

### Constructor Summary

Constructors
Constructor and Description
`PointValuePair(double[] point, double value)` Deprecated. Builds a point/objective function value pair.
`PointValuePair(double[] point, double value, boolean copyArray)` Deprecated. Builds a point/objective function value pair.

### Method Summary

Methods
`double[]` `getPoint()` Deprecated. Gets the point.
`double[]` `getPointRef()` Deprecated. Gets a reference to the point.
`private Object` `writeReplace()` Deprecated. Replace the instance with a data transfer object for serialization.

### Methods inherited from class org.apache.commons.math3.util.Pair

`equals, getFirst, getKey, getSecond, getValue, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Deprecated.
Serializable UID.

See Also:
  Constant Field Values

### Constructor Detail

#### PointValuePair

    public PointValuePair(double[] point,
                  double value)

Deprecated.
Builds a point/objective function value pair.

Parameters:
  `point` - Point coordinates. This instance will store a copy of the array, not the array passed as argument.
  `value` - Value of the objective function at the point.

#### PointValuePair

    public PointValuePair(double[] point,
                  double value,
                  boolean copyArray)

Deprecated.
Builds a point/objective function value pair.

Parameters:
  `point` - Point coordinates.
  `value` - Value of the objective function at the point.
  `copyArray` - if `true`, the input array will be copied, otherwise it will be referenced.

### Method Detail

#### getPoint

    public double[] getPoint()

Deprecated.
Gets the point.

Returns:
  a copy of the stored point.

#### getPointRef

    public double[] getPointRef()

Deprecated.
Gets a reference to the point.

Returns:
  a reference to the internal array storing the point.

#### writeReplace

    private Object writeReplace()

Deprecated.
Replace the instance with a data transfer object for serialization.

Returns:
  data transfer object that will be serialized